Saltar al contenido principal
PUT
/
crm
/
v3
/
pipelines
/
{objectType}
/
{pipelineId}
Replace a pipeline
curl --request PUT \
  --url https://api.hubapi.com/crm/v3/pipelines/{objectType}/{pipelineId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "displayOrder": 123,
  "label": "<string>",
  "stages": [
    {
      "displayOrder": 1,
      "label": "Done",
      "metadata": {
        "ticketState": "CLOSED"
      }
    }
  ]
}
'
{
  "archived": false,
  "createdAt": "2019-10-30T03:30:17.883Z",
  "displayOrder": 0,
  "id": "812723471",
  "label": "My ticket pipeline",
  "stages": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "displayOrder": 0,
      "id": "1234912",
      "label": "In Progress",
      "metadata": {
        "ticketState": "OPEN"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    },
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "displayOrder": 0,
      "id": "1234914",
      "label": "Done",
      "metadata": {
        "ticketState": "CLOSED"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "updatedAt": "2019-12-07T16:50:06.678Z"
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

objectType
string
requerido
pipelineId
string
requerido

Parámetros de consulta

validateDealStageUsagesBeforeDelete
boolean
predeterminado:false
validateReferencesBeforeDelete
boolean
predeterminado:false

Cuerpo

application/json
displayOrder
integer<int32>
requerido

The order for displaying this pipeline stage. If two pipeline stages have a matching displayOrder, they will be sorted alphabetically by label.

label
string
requerido

A label used to organize pipeline stages in HubSpot's UI. Each pipeline stage's label must be unique within that pipeline.

stages
object[]
requerido

The stages associated with the pipeline. They can be retrieved and updated via the pipeline stages endpoints.

Respuesta

successful operation

A pipeline definition.

archived
boolean
requerido

Whether the pipeline is archived.

createdAt
string<date-time>
requerido

The date the pipeline was created. The default pipelines will have createdAt = 0.

displayOrder
integer<int32>
requerido

The order for displaying this pipeline. If two pipelines have a matching displayOrder, they will be sorted alphabetically by label.

id
string
requerido

A unique identifier generated by HubSpot that can be used to retrieve and update the pipeline.

label
string
requerido

A unique label used to organize pipelines in HubSpot's UI

stages
object[]
requerido

The stages associated with the pipeline. They can be retrieved and updated via the pipeline stages endpoints.

updatedAt
string<date-time>
requerido

The date the pipeline was last updated.

archivedAt
string<date-time>

The date the pipeline was archived. archivedAt will only be present if the pipeline is archived.

Last modified on June 5, 2026